In order to prevent the reverse engineering of script apps, many developers encode their program code with instruments like ionCube PHP Encoder to make it human unreadable. The aforementioned is valid for paid apps in particular, since anyone could possibly use and modify the unencrypted code without having to pay the required license fees. In case you get web software encoded with ionCube PHP Encoder, you will be able to use it without any problems as long as a software instrument known as ionCube Loader is installed on the hosting server. This loader allows you to run encrypted files and you'll often see it on the list of prerequisites for a given script app to be installed. As the encrypted files are already precompiled, they're normally executed a lot quicker and this can enhance the general speed of your site.

IonCube in Web Hosting

When you purchase a Linux web hosting from us, it will be created on our custom-built cloud platform where ionCube Loader is already present, so you will not have any problems to run any script application which needs the instrument to run appropriately. In addition, we offer several different releases of PHP, so in case you change the version, you need to activate ionCube again. Our platform remembers the adjustments you make, so when you move back to the previous version of PHP that was active for your account, ionCube Loader will already be activated. Both the PHP version as well as the ionCube instrument can be managed from the PHP Configuration section of our Hepsia web hosting Control Panel. Each change that you do takes literally just a single click and it will take effect right away.

IonCube in Semi-dedicated Servers

Because all semi-dedicated server accounts are created on our advanced cluster platform and ionCube Loader is available on it, you'll be able to use any script app that needs this tool to run effectively. With just a few clicks in your Hepsia hosting Control Panel you are able to activate or deactivate ionCube for the PHP version which is currently active for your account. Because we support multiple releases of PHP simultaneously, you'll need to do that each and every time you move to a different release, but if you revert back to a version that you have already used, our system will remember your preference and ionCube Loader will already be activated. In case you have several websites inside the same account and they require different releases of PHP, you're able to create a php.ini file in each and every domain folder and with a couple of lines of program code you're able to define both the PHP release plus the status of ionCube irrespective of what is selected for the hosting account altogether.